Core - Task # 53770

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API

Story # 54268 (Resolved): As an TYPO3-Contributor | want to have a clean CodeBase in order maintain the product

Status: Resolved Priority: Must have

Author: Markus Klein Category: File Abstraction Layer (FAL)
Created: 2013-11-19 Assigned To: Steffen Ritter

Updated: 2014-01-15 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity: easy

Sprint Focus:

Subject: ResourceStorage uses deprecated driver API

Description

As introduced with #53585 the ->getFileList() API of drivers is now deprecated.
It was forgotten to fix the calls to this method in ResourceStorage and in LocalDriverTest

Related issues:
related to Core - Task # 53585: Extend the FAL API for more efficient use
related to Core - Task # 54230: Refactor Driver API

Resolved 2013-11-13
Resolved 2013-12-06

2013-12-31

History

#1 - 2013-11-21 22:13 - Ernesto Baschny
- Assigned To deleted (Steffen Ritter)
- Target version changed from next-patchlevel to 6.2.0

#2 - 2013-11-30 16:12 - Steffen Ritter
- Assigned To set to Steffen Ritter
- Estimated time set to 1.00

- Complexity changed from no-brainer to easy

- Is Regression changed from Yes to No

Hi,

not forgotten - other steps already ticketed are meant to solve that.

#3 - 2013-11-30 23:17 - Markus Klein

@Steffen: Good. Any links to the other tickets?

#4 - 2013-12-07 16:07 - Steffen Ritter

- Parent task set to #54268

#5 - 2013-12-22 10:24 - Steffen Ritter

- % Done changed from 0 to 70

should be done with https://review.typo3.0rg/26520
https://review.typo3.org/26520

#6 - 2014-01-15 16:37 - Steffen Ritter
- Status changed from Accepted to Resolved
- % Done changed from 70 to 100
